'use server';

import { getUser } from '@/lib/actions';
import type { User } from '@/utils/supabase';
import { redirect } from 'next/navigation';

const HomePage = async () => {
  const response = await getUser();
  if (!response.success || !response.data) {
    redirect('/sign-in');
  }
  const user: User = response.data;
  return <NoSession />;
};
export default HomePage;
