'use client';

import AvatarDropdown from './AvatarDropdown';
import { SignInSignUp } from '@/components/default/auth';
import { useAuth } from '@/components/context';

const NavigationAuth = () => {
  const { isAuthenticated } = useAuth();
  return isAuthenticated ? (
    <div className='flex items-center gap-4'>
      <AvatarDropdown />
    </div>
  ) : (
    <SignInSignUp />
  );
};
export default NavigationAuth;
